import initReplicationStateTable from './init-replication-state-table';

const setReplicationStatus = async (pool, status, statusData, lastEvent) => {
  const {
    database,
    escapeId,
    escape
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  await database.exec(`UPDATE ${escapeId(replicationStateTableName)} 
    SET
    "Status" = ${escape(status)},
    "StatusData" = ${statusData != null ? escape(JSON.stringify(statusData)) : 'NULL'}
    ${lastEvent != null ? `, "SuccessEvent" = ${escape(JSON.stringify(lastEvent))}` : ``}`);
};

export default setReplicationStatus;
//# sourceMappingURL=set-replication-status.js.map