"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const replicateSecrets = async (pool, existingSecrets, deletedSecrets) => {
  const {
    database,
    secretsTableName,
    escape,
    escapeId
  } = pool;
  const secretsTableNameAsId = escapeId(secretsTableName);

  if (existingSecrets.length > 0) {
    await database.exec(`INSERT OR IGNORE INTO ${secretsTableNameAsId}(
      "idx",
      "id",
      "secret"
    ) VALUES ${existingSecrets.map(secretRecord => `(${secretRecord.idx},${escape(secretRecord.id)},${secretRecord.secret != null ? escape(secretRecord.secret) : 'NULL'})`).join(',')}`);
  }

  if (deletedSecrets.length > 0) {
    await database.exec(`UPDATE ${secretsTableNameAsId} SET "secret" = NULL
      WHERE "id" IN (${deletedSecrets.map(id => escape(id)).join(',')})`);
  }
};

var _default = replicateSecrets;
exports.default = _default;
//# sourceMappingURL=replicate-secrets.js.map